#ar-footer{display: flex;position:absolute;bottom: 0px;flex-wrap: nowrap; align-items: center; justify-content: space-between; width: 100%;background-color:#fff;padding-top:17px;}
#car-button {font-size: 14px;color: var(--ar-btn-fg); background-color: var(--ar-btn-bg); border: 0; border-radius: 10px; padding: 10px 12px;}
#ar-footer a{font-size: 11px;text-decoration: none; color: var(--ar-cr-parent); display: block;}
#ar-footer a span{font-size: 13px;color: var(--ar-cr-child);}
model-viewer::part(ar-button){display: none;}
#carpet {height: 350px !important;width: 100%; position: relative;}
  #progress-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    height: 5px;
    background: #ddd;
    border-radius: 5px;
    overflow: hidden;
    display: none;
}
#progress-bar {
    width: 0%;
    height: 100%;
    background: #BF3131;
    transition: width 0.3s ease-in-out;
}